<script setup>
import Header from '../components/Header.vue';
import { useUsersStore } from '../stores/usersStore';
import { computed } from 'vue';
import { useRoute } from 'vue-router';

const userStore = useUsersStore();
const route = useRoute();
const user = computed(() => userStore.getUser(route.params.id));

</script>

<template>
    <Header />
    <router-link :to="{ name: 'AllUsers' }">Revenir à la liste</router-link>
    <div class="user">
        <h2> {{ user.username }} </h2>
        <p>E-mail: <span>{{ user.email }}</span> </p>
        <p>N° Identifiant:<span> {{ user.id }} </span></p>
        <p>N° de session: <span>{{ user.session }} </span></p>
    </div>
</template>

<style lang="scss">
.user {
    text-align: center;
    border: solid .5px grey;
    background-color: #f6f6f6;

    a {
        text-decoration: none;
        color: black;

        &:visited {
            color: black;
        }
    }

    p {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    h2 {
        background-color: white;
        margin: 0;
        padding: 10px;
    }
}
</style>